import { CommonSalesforceDMP } from './salesforce.common';
export declare class SalesforceDMP implements CommonSalesforceDMP {
    private static instance;
    private kruxEventAggregator;
    constructor();
    static getInstance(): SalesforceDMP;
    initialize(configId: string, debug: boolean): void;
    trackPageView(page: string, pageAttributes: any, userAttributes: any): void;
    fireEvent(event: string, eventAttributes: any): void;
    private keyValuesToBundle(keyValues);
}
